Create a store analysis job
Triggers a full Shopify store scrape. Requires authentication via Clerk JWT, API key, or x402 payment.
POST
/jobs
Triggers a full Shopify store scrape. Requires authentication via Clerk JWT, API key, or x402 payment.
Authentication
Bearer Token API Key (header: X-API-Key)
Request Body required
application/jsonunknown
Responses
201
Job created
application/jsonjob
object
id
string (uuid)
domain
string
slug
string
status
string
Enum:
pending
400
Invalid request — missing or malformed fields
401
Unauthorized — missing or invalid auth
402
Payment required — x402 payment details in response headers
curl -X POST 'https://shopsniffer.com/api/jobs' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d 'null'
const response = await fetch('https://shopsniffer.com/api/jobs', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://shopsniffer.com/api/jobs', headers=headers, json=null)print(response.json())
201
Response
{ "job": { "id": "<uuid>", "domain": "<string>", "slug": "<string>", "status": "pending" }}
API Playground
Try this endpoint
POST
/jobs